%define name clisp
%define year 2000
%define month 03
%define day 06
%define version %year.%month.%day
%define clisp_build build
%define release 1mdk

Summary:      Common Lisp (ANSI CL) implementation
Name:         %{name}
Version:      %{version}
Release:      %{release}
Icon:         clisp.gif
Copyright:    GPL
Group:        Development/Other
#Source:       ftp://seagull.cdrom.com/pub/lisp/clisp/source/clispsrc.tar.gz
Source:       ftp://seagull.cdrom.com/pub/lisp/clisp/source/clisp-%year-%month-%day.tar.bz2
URL:          http://clisp.cons.org
Packager:     Stefan van der Eijk <s.vandereijk@chello.nl>
Provides:     clisp, ansi-cl
BuildRoot:    /var/tmp/%name-buildroot

%description
Common Lisp is a high-level, all-purpose programming language.
CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
University and Michael Stoll of Munich University, both in Germany.
It mostly supports Common Lisp as described in the ANSI CL standard.
It runs on microcomputers (DOS, OS/2, Windows NT, Windows 95, Amiga
500-4000, Acorn RISC PC) as well as on Unix workstations (Linux, SVR4,
Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI, AIX, Sun3 and others) and
needs only 2 MB of RAM.
It is free software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial applications compiled
with CLISP.
The user interface comes in German, English, French and Spanish.
CLISP includes an interpreter, a compiler, a large subset of CLOS, a
foreign language interface and a socket interface.
An X11 interface is available through CLX and Garnet.

More information on at <http://clisp.cons.org/>.
Sources and selected binaries are available by anonymous ftp from
<ftp://ftp2.cons.org/pub/lisp/clisp>.
The latest and greatest i386 binary RPM is on
<ftp://cellar.goems.com/pub/clisp>.

The is built with glibc2.1; if you want to use it with glibc2.0, you will
need <ftp://ftp.suse.com/pub/suse_update/suse61/a1/regframe.rpm>.

The package was created by Sam Steingold <sds@goems.com>.
(RHCN requires that I put their e-mail into the "Packager:" header).

%prep
%setup -n %{name}-%{year}-%{month}-%{day}
%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --fsstnd=redhat --with-module=wildcard \
    --with-module=regexp --with-module=bindings/linuxlibc6 \
    --with-module=clx/new-clx --with-module=postgresql642 \
    --with-export-syscalls --build %{clisp_build}

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/clisp/
cd $RPM_BUILD_DIR/%{name}-%{year}-%{month}-%{day}/build/
make install prefix=$RPM_BUILD_ROOT/usr

%files
%defattr(-,root,root)
/usr/bin/clisp
%dir /usr/lib/clisp/
/usr/lib/clisp/*
%docdir /usr/doc/%{name}-%{year}.%{month}.%{day}
%doc ANNOUNCE COPYRIGHT GNU-GPL INSTALL SUMMARY
%doc build/CLOS-guide.txt build/clisp.html build/readline.dvi
%doc build/LISP-tutorial.txt build/clreadline.3 build/editors.txt
%doc build/clisp.1 build/clreadline.dvi build/impnotes.html build/clisp.gif
%doc build/clreadline.html
/usr/man/man3/*
/usr/man/man1/*
/usr/share/locale/de/LC_MESSAGES/clisp.mo
/usr/share/locale/en/LC_MESSAGES/clisp.mo
/usr/share/locale/es/LC_MESSAGES/clisp.mo
/usr/share/locale/fr/LC_MESSAGES/clisp.mo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2000.03.06-1mdk
- Update to 2000.03.06

* Tue Feb 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- rewrote most of .spec file
- updated to 1999.07.22
